#
# spec file for package lxqt-common
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-common
Version:        0.11.0
Release:        3.2
Summary:        Common Data File
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/LXQt
Url:            http://www.lxde.org
Source:         http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(lxqt) >= %{version}
Requires:       oxygen-icon-theme
Requires(post): desktop-file-utils
Requires(pre):  desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildArch:      noarch

%description
Common data file required for running an LXQt session

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%fdupes %{buildroot}/%{_datadir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/lxqt
%dir %{_sysconfdir}/xdg/pcmanfm-qt
%dir %{_sysconfdir}/xdg/pcmanfm-qt/lxqt
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/openbox
%dir %{_datadir}/kdm
%dir %{_datadir}/kdm/sessions
%config %{_sysconfdir}/xdg/lxqt/*.conf
%config %{_sysconfdir}/xdg/pcmanfm-qt/lxqt/*.conf
%config %{_sysconfdir}/xdg/menus/*.menu
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sysconfdir}/xdg/openbox/lxqt-rc.xml
%{_bindir}/startlxqt
%{_datadir}/lxqt
%{_datadir}/xsessions/*.desktop
%{_datadir}/desktop-directories/
%{_datadir}/icons/hicolor/scalable/places/*.svg
%{_datadir}/kdm/sessions/lxqt.desktop
%{_datadir}/icons/hicolor/scalable/apps/lxqt.svg
%{_mandir}/man1/startlxqt.1%{ext_man}

%changelog
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * Update and extend README.md
  * themes-system: Add "background" property to panel
  * startlxqt: Consider LXQT_DEFAULT_OPENBOX_CONFIG
  * startlxqt: Honor the pre-defined SAL_USE_VLCPLUGIN
  * themes: Remove Screensaver styles
  * Replace lxqt-rc.xml with latest openbox version
  * Move Italian desktop entry to correct path
  * startlxqt: Consider pre-exising LXDE OB config also
  * Create lxqt-powermanagement_it.desktop
  * build: Revert @6d6d2bef54
  * build: Add xmessage as "dependency"
  * Openbox: Fix informational message about adoption of rc.xml
  * themes: Take layoutDirection into account
  * lxqt-rc.xml: Change default config install path
  * startlxqt: Copy existing openbox config preferably
  * Fix the search textfield style for all themes (#52)
  * PCManFM-Qt: Update default wallpaper (#49)
  * Added style for the ColorPicker plugin.
  * Improves changed Openbox default path startup message (#51)
  * Disable gtk+ 3 overlay scrollbars by default.
  * Fix bg-fg color swapping in Frost (#50)
  * Don't add XDG_DATA_HOME to XDG_DATA_DIRS (#47)
  * Merge pull request #45 from lxde/menu-comment
  * Message about Openbox default path changed.
  * Warning message about openbox settings path changed.
  * startlxqt: Force XDG_CONFIG_DIRS to contain @LXQT_ETC_XDG_DIR@
  * theme system: Force no icon for main menu
  * Merge pull request #48 from lxde/pcmanfm-qt-sort-order
  * Copy openbox defaults at session start.
  * First experiment in theming the new search menu feature.
  * Rename openbox/rc.xml to openbox/lxqt-openbox-rc.xml
  * Openbox aero snap using mouse wheel over title bar.
  * Settings Openbox updated.
  * Screenshot (Shift+Print), file manager (ctl+Alt+e) and web browser (Ctl+atl+i) key shortcuts added.
  * Default key shortcuts added to lxqt-globalkeysd.
  * icons: Add icon "lxqt"
  * Wallpaper updated. Lighter and with the hummingbird for some identity.
  * Use the system palette to change the main colors, this will make the theme more integrated with the whole environment. Fixed ugly buttons in the volume applet.
  * Use lxqt-sudo in pcmanfm-qt config file by default.
  * Themes: adjust main menu icon in Light
  * themes: Add system theme (no theme)
  * CMakeLists: Use LXQT_GRAPHICS_DIR for graphics
  * lxqt-applications.menu: remove accidentally added topics from "System Tools"
  * Add startlxqt man page
- Remove lxqt-common-0.9.1-pcmanfm-qt-use-gnomesu-not-gksu.patch: we have lxqt-sudo now
* Thu Jun  2 2016 mvetter@suse.com
- Require oxygen-icon-theme as it's set as standard icon theme in /etc/xdg/lxqt/lxqt.conf
* Thu Nov  5 2015 mvetter@suse.com
- Upstream release 0.10.0
- Removing patches:
  * fix_desktop_categories.patch - Using sed in spec file now.
  * lxqt-common-0.9.1-fix-theme-dirnames.patch - Is in upstream.
* Thu Aug 13 2015 trcs@gmx.com
- Added lxqt-common-0.9.1-pcmanfm-qt-use-gnomesu-not-gksu.patch
  + Replaces gksu (not available in openSUSE) with gnomesu
* Tue Feb 24 2015 sfalken@opensuse.org
- Patch added:  Fixes theme dirnames back to all lowercase,
  otherwise you get a broken theme on firstboot (gh#lxde/lxqt#500)
  + lxqt-common-0.9.1-fix-theme-dirnames.patch
* Fri Feb 20 2015 sfalken@opensuse.org
- Updated %%build and %%install to use cmake macros
* Sun Feb 15 2015 sfalken@opensuse.org
- New upstream bugfix version 0.9.1
  + Fixed missing Leave strings
  + Settings menu now matches the old Razor-qt layout
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
* Sun Jan 25 2015 sfalken@opensuse.org
- Adjusted BuildRequires: in spec to enable crossbuilding for
  Fedora_21
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Tue May 13 2014 andrea@opensuse.org
- spec file cleanup for factory
* Tue May 13 2014 sfalken@opensuse.org
- Specfile cleanup
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora specfile, split into subproject
  Del:  lxqt-common-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add: lxqt-common-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- added startlxqt to %%files
* Fri May  9 2014 sfalken@opensuse.org
- Removed startlxde-qt from %%files (upstream updates)
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  lxqt-common-0.7.0.tar.xz
  Del:  _service
* Sat Apr  5 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lxqt-common.spec
  Add: lxqt-common.changes
